package com.cxytiandi.yunpan.document;

import java.util.Date;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

@Document(collection="resource")
public class Resource {
	@Id
	private String id;
	
	/**
	 * 用户ID
	 */
	@Field("uid")
	private String userId;
	
	/**
	 * 名称
	 */
	@Field("name")
	private String name;
	
	/**
	 * 大小
	 */
	@Field("size")
	private Long size;
	
	/**
	 * 0 文件夹  1 文件
	 */
	@Field("type")
	private int type;
	
	/**
	 * 文件ID,如果是文件夹则为null
	 */
	@Field("file_id")
	private String fileId;
	
	/**
	 * 父ID
	 */
	@Field("p_id")
	private String parentId;
	
	/**
	 * 创建时间
	 */
	@Field("c_date")
	private Date createDate;

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public Long getSize() {
		return size;
	}

	public void setSize(Long size) {
		this.size = size;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	public String getFileId() {
		return fileId;
	}

	public void setFileId(String fileId) {
		this.fileId = fileId;
	}

	public String getParentId() {
		return parentId;
	}

	public void setParentId(String parentId) {
		this.parentId = parentId;
	}

	public Date getCreateDate() {
		return createDate;
	}

	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	
}
