package com.cxytiandi.yunpan.document;

import java.util.Date;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

@Document(collection="share_resource")
public class ShareResource {
	@Id
	private String id;
	
	/**
	 * 分享文件ID
	 */
	@Field("file_id")
	private String fileId;
	
	/**
	 * 访问次数
	 */
	@Field("v_count")
	private Long visitCount;
	
	/**
	 * 分享时间
	 */
	@Field("s_date")
	private Date shareDate;
	
	/**
	 * 分享类型（0：私密  1：公开）
	 */
	@Field("type")
	private int type;
	
	/**
	 * 提取地址
	 */
	@Field("url")
	@Indexed(unique=true)
	private String url; 
	
	/**
	 * 提取密码
	 */
	@Field("pass")
	private String pass;

	/**
	 * 状态，是否取消分享
	 */
	private Boolean status = true;
	
	public Boolean getStatus() {
		return status;
	}

	public void setStatus(Boolean status) {
		this.status = status;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getFileId() {
		return fileId;
	}

	public void setFileId(String fileId) {
		this.fileId = fileId;
	}

	public Long getVisitCount() {
		return visitCount;
	}

	public void setVisitCount(Long visitCount) {
		this.visitCount = visitCount;
	}

	public Date getShareDate() {
		return shareDate;
	}

	public void setShareDate(Date shareDate) {
		this.shareDate = shareDate;
	}

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getPass() {
		return pass;
	}

	public void setPass(String pass) {
		this.pass = pass;
	}
	
}
