package com.cxytiandi.yunpan.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.data.mongodb.gridfs.GridFsTemplate;
import org.springframework.stereotype.Service;
import com.cxytiandi.yunpan.document.File;
import com.mongodb.gridfs.GridFSDBFile;
import com.mongodb.gridfs.GridFSFile;

@Service
public class FileServiceImpl implements FileService {
	
	@Autowired
	private GridFsTemplate gridFsTemplate;
	
	@Override
	public String saveFile(File file) throws Exception {
		GridFSFile gridFSFile = gridFsTemplate.store(file.getContent(), file.getFilename());
		return gridFSFile.getId().toString();
	}

	@Override
	public void removeFile(String fileId) throws Exception {
		gridFsTemplate.delete(Query.query(Criteria.where("_id").is(fileId)));
	}

	@Override
	public GridFSDBFile getFile(String fileId) throws Exception {
		return gridFsTemplate.findOne(Query.query(Criteria.where("_id").is(fileId)));

	}
	
}
