package com.cxytiandi.yunpan.service;

import java.util.List;

import com.cxytiandi.yunpan.document.Resource;
import com.cxytiandi.yunpan.vo.ResourceVo;

public interface ResourceService {
	
	/**
	 * 根据父ID查询资源
	 * @author yinjihuan
	 * @param parentId
	 * @return
	 */
	List<ResourceVo> list(String parentId);
	
	/**
	 * 重命名
	 * @author yinjihuan
	 * @param id
	 * @param name
	 */
	void rename(String id, String name);
	
	/**
	 * 删除
	 * @author yinjihuan
	 * @param id
	 */
	void remove(String[] ids);
	
	/**
	 * 保存
	 * @author yinjihuan
	 * @param r
	 */
	void save(Resource r);
	
	/**
	 * 根据id获取
	 * @author yinjihuan
	 * @param id
	 * @return
	 */
	Resource get(String id);
	
	/**
	 * 根据文件的父ID查询所有节点下的文件
	 * @author yinjihuan
	 * @param parIds
	 * @return
	 */
	List<Resource> listByParentIds(List<String> parIds);
	
	/**
	 * 多个文件创建下载压缩包
	 * @author yinjihuan
	 * @param parIds
	 * @return
	 */
	String downLoadFileToZip(List<String> parIds);
	
}
