package com.cxytiandi.yunpan.service;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.cxytiandi.yunpan.document.Resource;
import com.cxytiandi.yunpan.document.ShareResource;
import com.cxytiandi.yunpan.repository.ShareResourceRepository;
import com.cxytiandi.yunpan.vo.ShareResourceVo;

@Service
public class ShareServiceImpl implements ShareService {
	
	@Autowired
	private ShareResourceRepository shareResourceRepository;
	
	@Autowired
	private ResourceService resourceService;
	
	@Override
	public void save(ShareResource shareResource) {
		shareResourceRepository.save(shareResource);
	}

	@Override
	public ShareResourceVo getByUrl(String url) {
		ShareResource re = shareResourceRepository.findByUrl(url);
		ShareResourceVo vo = new ShareResourceVo();
		BeanUtils.copyProperties(re, vo);
		Resource r = resourceService.get(re.getFileId());
		vo.setFileName(r.getName());
		vo.setOldId(r.getId());
		return vo;
	}

	@Override
	public List<ShareResourceVo> list() {
		List<ShareResourceVo> datas = new ArrayList<ShareResourceVo>();
		List<ShareResource> list = shareResourceRepository.findAllByStatus(true);
		for (ShareResource shareResource : list) {
			ShareResourceVo vo = new ShareResourceVo();
			BeanUtils.copyProperties(shareResource, vo);
			vo.setFileName(resourceService.get(shareResource.getFileId()).getName());
			datas.add(vo);
		}
		return datas;
	}

	@Override
	public ShareResource get(String id) {
		return shareResourceRepository.findOne(id);
	}

	@Override
	public ShareResource getByFileId(String fileId) {
		return shareResourceRepository.findByFileId(fileId);
	}

}
