package com.cxytiandi.yunpan.util;

import java.text.DecimalFormat;

public class FileUtils {
	/**
	 * 返回byte的数据大小对应的文本
	 * 
	 * @param size
	 * @return
	 */
	public static String getDataSize(Long size) {
		if (size == null || size.equals(0L)) {
			return "--";
		}
		
		DecimalFormat formater = new DecimalFormat("####.00");
		if (size < 1024) {
			return size + "B";
		} else if (size < 1024 * 1024) {
			float kbsize = size / 1024f;
			return formater.format(kbsize) + "KB";
		} else if (size < 1024 * 1024 * 1024) {
			float mbsize = size / 1024f / 1024f;
			return formater.format(mbsize) + "MB";
		} else if (size < 1024 * 1024 * 1024 * 1024) {
			float gbsize = size / 1024f / 1024f / 1024f;
			return formater.format(gbsize) + "GB";
		}
		
		return "--";
	}
	
	public static String getIcon(String fileName) {
		if (fileName.indexOf(".") > -1) {
			String ext = fileName.substring(fileName.lastIndexOf(".") + 1).toLowerCase();
			if (ext.equals("png") || ext.equals("jpg") || ext.equals("gif") || ext.equals("bmp")) {
				return "images/pic.png";
			}
			
			if (ext.equals("mp4") || ext.equals("3gp") || ext.equals("mov") || ext.equals("avi")) {
				return "images/video.png";
			}
			
			if (ext.equals("doc") || ext.equals("docx")) {
				return "images/word.png";
			}
			
			if (ext.equals("zip") || ext.equals("rar")) {
				return "images/zip.png";
			}
			
			return "images/file.png";
		}
		
		return "images/folder.png";
	}
}
