package com.cxytiandi.yunpan.web;

import java.util.Date;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import com.cxytiandi.yunpan.document.ShareResource;
import com.cxytiandi.yunpan.service.ShareService;
import com.cxytiandi.yunpan.util.JsonResult;
import com.cxytiandi.yunpan.util.RandomUtils;
import com.cxytiandi.yunpan.vo.ShareResourceVo;

@Controller
public class ShareController {
	
	@Autowired
	private ShareService shareService;
	
	/**
	 * 我的分享页面
	 * @author yinjihuan
	 * @param model
	 * @return
	 */
	@GetMapping("/shares")
	public String sharesPage(Map<String, Object> model) {
		model.put("datas", shareService.list());
		return "shares";
	}
	
	/**
	 * 我的分享页面
	 * @author yinjihuan
	 * @param model
	 * @return
	 */
	@GetMapping("/shares/{url}")
	public String sharesPage(@PathVariable String url, String pass, Map<String, Object> model) {
		ShareResourceVo re = shareService.getByUrl(url);
		if (re != null) {
			if (re.getType() == 0) {
				if (pass == null ||  !re.getPass().equals(pass)) {
					model.put("url", url);
					return "check";
				}
			}
			ShareResource shareResource = shareService.get(re.getId());
			shareResource.setVisitCount(shareResource.getVisitCount() + 1);
			shareService.save(shareResource);
		}
		model.put("re", re);
		return "sharedetail";
	}
	
	/**
	 * 分享文件
	 * @author yinjihuan
	 * @param shareResource
	 * @return
	 */
	@PostMapping("/shares")
	@ResponseBody
	public ShareResource share(ShareResource shareResource) {
		shareResource.setShareDate(new Date());
		shareResource.setVisitCount(0L);
		String url = RandomUtils.getRandomShareUrl();
		shareResource.setUrl(url);
		if (shareResource.getType() == 0) {
			shareResource.setPass(RandomUtils.getRandomString());
		}
		shareService.save(shareResource);
		return shareResource;
	}
	
	/**
	 * 取消分享
	 * @author yinjihuan
	 * @param fileId
	 * @return
	 */
	@PostMapping("/shares/cancel")
	@ResponseBody
	public JsonResult cancel(String id) {
		ShareResource r = shareService.get(id);
		r.setStatus(false);
		shareService.save(r);
		return new JsonResult();
	}
}
