layui.use('element', function() {
	// 导航的hover效果、二级菜单等功能，需要依赖element模块
	var element = layui.element();
});

layui.use('form', function() {
	var form = layui.form();
	// 全选
	form.on('checkbox(allChoose)', function(data) {
		var child = $(data.elem).parents('table').find(
				'tbody input[type="checkbox"]');
		child.each(function(index, item) {
			item.checked = data.elem.checked;
		});
		form.render('checkbox');
	});
});

// 重命名
$(".rename-btn").click(function() {
	var id = $(this).attr("data-id");
	var name = $(this).attr("data-name");
	$("#filename-text").val(name);
	$("#fileid-text").val(id);
	layer.open({
		type : 1,
		title : "重命名",
		area : [ '400px', '240px' ], // 宽高
		content : $("#rename-win")
	});
});

// 确定重命名
$("#rename-confirm-btn").click(function() {
	var name = $("#filename-text").val();
	var id = $("#fileid-text").val();
	if (name == "") {
		layer.msg("名称不能为空");
		return false;
	}
	$.ajax({
		type : 'POST',
		url : basePath + "/files/rename",
		data : {
			id : id,
			name : name
		},
		dataType : "json",
		success : function(ret) {
			window.location.reload();
		},
		error : function() {
			alert("异常！");
		}
	});
});

// 删除
$(".remove-btn").click(function() {
	var id = $(this).attr("data-id");
	$.ajax({
		type : 'POST',
		url : basePath + "/files/remove",
		data : {
			id : id
		},
		dataType : "json",
		success : function(ret) {
			window.location.reload();
		},
		error : function() {
			alert("异常！");
		}
	});
});

// 批量删除
$("#remove-btn").click(function() {
	var ids = new Array();
	var child = $("table").find('tbody input[type="checkbox"]');
	child.each(function(index, item) {
		if (item.checked) {
			ids.push(item.value);
		}
	});
	if (ids.length == 0) {
		layer.msg("请选择要删除的文件");
		return false;
	}
	$.ajax({
		type : 'POST',
		url : basePath + "/files/removes",
		data : {
			ids : ids
		},
		dataType : "json",
		success : function(ret) {
			window.location.reload();
		},
		error : function() {
			alert("异常！");
		}
	});
});

// 创建文件夹
$("#create-folder-btn").click(function() {
	layer.open({
		type : 1,
		title : "新建文件夹",
		area : [ '400px', '240px' ], // 宽高
		content : $("#create-folder-win")
	});

});

// 确定创建文件夹
$("#create-folder-confirm-btn").click(function() {
	var name = $("#foldername-text").val();
	if (name == "") {
		layer.msg("请填写文件夹名称");
		return false;
	}
	$.ajax({
		type : 'POST',
		url : basePath + "/folder/create",
		data : {
			name : name,
			parentId : parentId == "" ? null : parentId
		},
		dataType : "json",
		success : function(ret) {
			window.location.reload();
		},
		error : function() {
			alert("异常！");
		}
	});
});

// 打开分享文件窗口
$(".share-file-btn").click(function() {
	var id = $(this).attr("data-id");
	var name = $(this).attr("data-name");
	$("#fileid-text").val(id);
	layer.open({
		type : 1,
		title : "分享文件：" + name,
		area : [ '400px', '340px' ], // 宽高
		content : $("#share-files-win")
	});
});

//确认分享
$("#share-file-confirm-btn").click(function(){
	$(this).attr("disabled","disabled");
	$(this).addClass("layui-btn-disabled");
	var type = $("input[name='type']:checked").val();
	var id = $("#fileid-text").val();
	$.ajax({
		type : 'POST',
		url : basePath + "/shares",
		data : {
			type : type,
			fileId:id
		},
		dataType : "json",
		success : function(ret) {
			$(".extract_addr").css("display","block");
			$("input[name='extract_addr']").val(basePath + "/shares/"+ ret.url);
			if (type == 0) {
				$(".extract_pass").css("display","block");
				$("input[name='extract_pass']").val(ret.pass);
			}
		},
		error : function() {
			alert("异常！");
		}
	});
	
});

$("#upload-btn").click(function() {
	$("#file").trigger("click");
});

function uplaod(fileId) {
	var index = layer.load(1, {
		  shade: [0.1,'#fff'] //0.1透明度的白色背景
	});
	$.ajaxFileUpload({
		url : basePath+'/files/upload',
		secureuri : false,
		fileElementId : fileId,
		contentType:"text/html",
		dataType : 'json',
		data : {parentId:parentId},
		success : function(data, status) {
			window.location.reload();
		},
		error : function(data, status, e) {
			alert("异常！");
			layer.close(index);
		}
	});
}

//批量下载文件
$("#downloads-btn").click(function(){
	var ids = "";
	var child = $("table").find('tbody input[type="checkbox"]');
	child.each(function(index, item) {
		if (item.checked) {
			ids = ids + item.value + "_";
		}
	});
	if (ids == "") {
		layer.msg("请选择要下载的文件");
		return false;
	}
	ids = ids.substring(0, ids.length - 1);
	window.location.href = basePath + "/files/downloads?ids="+ids;
});